%define name RLPlot
%define version 0.96b
%define release 1mdk

Summary: 	Data Plotting and Graphing
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}_%version.tar.bz2
Source1:	%name.png
URL: 		http://rlplot.sourceforge.net
License: 	GPL
Group: 		Sciences/Other
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	libqt3-devel
Requires: 	libqt3

%description
RLPlot is is a plotting program to create high quality graphs from data. 
Based on values stored in a spreadsheet several menus help you to create 
graphs of your choice. The Graphs are displayed as you get them (Wysiwyg). 
Double click any element of the graph (or a single click with the right 
mouse button) to modify its properties.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n RLPlot

%build

%make QTDIR=%{_libdir}/qt3

%install
install -d $RPM_BUILD_ROOT/usr
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/lib/menu
install -d $RPM_BUILD_ROOT/usr/lib/icons
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share
install -d $RPM_BUILD_ROOT/usr/share/icons
install -m 755 RLPlot $RPM_BUILD_ROOT/usr/bin
install -m 755 exprlp $RPM_BUILD_ROOT/usr/bin

#menu
(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Applications/Sciences/Other"\
title="RLPlot"\
longtitle="Data Plotting and Graphing"\
command="RLPlot"\
icon="RLPlot.png"
EOF
)

# menu icon
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}


%files
%defattr(-,root,root,0755)
%doc README gpl.txt
%{_bindir}/RLPlot
%{_bindir}/exprlp
%{_iconsdir}/*
%{_menudir}/*

%changelog
* Tue Dec 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.96b-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- 0.96b
	- remove qt-mt patch

* Thu Nov 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.95b-1mdk
  - from Austin Acton <aacton@yorku.ca>
	- 0.95b

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.94-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- add readme file
	- replace patch with perl macro for easier updating
	- 0.94

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.91b-3mdk
- rebuild

* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.91b-2mdk
- rebuild

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.91b-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- applied patch written by Ranger <bgmilne@cae.co.za> (thanks)
	- initial package creation for MDK 8.2
